#pragma once

#include "CoreMinimal.h"
#include "EPlayerRole.h"
#include "SoftRemoteContentCacheObjectPtr.h"
#include "StoreFeaturedCharacterViewData.generated.h"

USTRUCT(BlueprintType)
struct FStoreFeaturedCharacterViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 CharacterIndex;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EPlayerRole PlayerRole;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FSoftRemoteContentCacheObjectPtr CharacterPortrait;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FText CharacterName;

public:
	DBDUIVIEWINTERFACES_API FStoreFeaturedCharacterViewData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreFeaturedCharacterViewData) { return 0; }
